<?php
/**
 * Clase EgresoBL
 *
 * @package    
 * @subpackage 
 * @author     EgresoBL
 * @version    SVN: $Id: EgresoBL.class.php,v 1.1 2008/02/08 21:56:44 william.taype Exp $ 
 */
class EgresoBL{
    
  /**
  * 
  *
  * @param $o_EgresoBean, objeto de tipo Egreso 
  * @return Boolean
  */
  public function busquedaEgreso(EgresoBean $o_EgresoBean){
    
    $o_EgresoDP = new EgresoDP($o_EgresoBean);
    if($o_EgresoBean->getIdEgreso()){
      return $o_EgresoDP->selectByPk();
    }else{
      return $o_EgresoDP->select();
    }
    
  }
  
  public function busquedaEgresoResulset(EgresoBean $o_EgresoBean){
    
    $o_EgresoDP = new EgresoDP($o_EgresoBean);
    return $o_EgresoDP->selectResultset();
        
  }
  
  public function insertarEgreso(EgresoBean $o_EgresoBean){
    
    $o_EgresoCT = new EgresoCT();
    return $o_EgresoCT->guardar($o_EgresoBean);
    
  }
  public function modificarEgreso(EgresoBean $o_EgresoBean){
      $o_EgresoCT = new EgresoCT();
      return $o_EgresoCT->modificar($o_EgresoBean);
  }
  /**
	* Funci�n que retorna un objeto Egreso o una lista de Objetos de Egreso,
	* dependiendo del parametro que se le envia si este contiene o no el Id de Egreso
	*
	* @param $o_EgresoBean, es un objeto de tipo Egreso
	* @return Object
	*/
	public function modificarEstadoEgreso(EgresoBean $o_EgresoBean){
	  
	}
  
  public function eliminarEgreso(EgresoBean $o_EgresoBean){
    $o_EgresoCT = new EgresoCT();
    return $o_EgresoCT->eliminar($o_EgresoBean);
    
  }
  
  public function getCountResult(EgresoBean $o_EgresoBean){
    $o_EgresoCT = new EgresoCT();
    return $o_EgresoCT->totalRegistros($o_EgresoBean);
  }
  
}









